//
// Copyright (c) 2002
// Ronald Kevin Burton
//
// Z poniższym kodem nie jest związana żadna gwarancja poprawności działania.
// Program został dołączony do książki ".NET CLR. Księga eksperta" w celu
// ilustracji koncepcji i zasad przedstawionych w tej książce. Program może być 
// używany na własne ryzyko.
//
// Przyznaje się prawo do użycia lub kopiowania tego oprogramowania do dowolnego celu
// bez konieczności ponoszenia żadnych opłat pod warunkiem, że powyższe uwagi zostaną 
// zachowane we wszystkich kopiach. Przyznaje się także prawo do modyfikacji kodu
// i dystrybucji zmodyfikowanego kodu pod warunkiem zachowania powyższych uwag
// oraz dołączenia informacji mówiącej o modyfikacji kodu.
//
// 
#pragma once

#define ENUM_BUFFER_SIZE 10
#define MAX_STRING_LENGTH 1024
#define NumItems(s) (sizeof(s) / sizeof(s[0]))

// Okno dialogowe CUserStringHeapPage

class CUserStringHeapPage : public CPropertyPage
{
	DECLARE_DYNAMIC(CUserStringHeapPage)

public:
	CUserStringHeapPage();
	virtual ~CUserStringHeapPage();

// Dane okna dialogowego
	enum { IDD = IDD_USERSTRINGHEAP };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // Obsługa DDX/DDV

	DECLARE_MESSAGE_MAP()
public:
	virtual BOOL OnInitDialog();
private:
	void DumpUserStrings(IMetaDataImport* pImport, CListCtrl *pList);
	CListCtrl m_ctrlUserStringList;
};
